人力検索はてな
モバイル版を表示しています。PC版はこちら
i-mobile

NTサーバー上(IIS4.0)にあるFTP機能
で2GBクラスのファイルをGET使用すると
エラーになります。これはIIS4.0のFTP
の制限なのでしょうか。

●質問者: pikacyuu
●カテゴリ:ウェブ制作
✍キーワード:FTP GB IIS NT エラー
○ 状態 :終了
└ 回答数 : 4/4件

▽最新の回答へ

1 ● andi
●40ポイント

そもそもNT4.0にはインストール時に2GB以上のメモリが積まれているとこけるという制限があります(その後の増設は可能)。

明確にこれ、という情報源は見つけられませんでしたが、FTPでもその影響があるのではないでしょうか。

現在のNT4.0のメモリは増設されていますか?

◎質問者からの返答

現在2GBしかメモリをのせていません。


2 ● chatoraneko
●40ポイント

NTのservice packにもよりますが

OS上で扱えるファイルの上限が2GBの場合があります。

ゲットしようとしているのはクライアント側でしょうか。

それともNT側でしょうか。

クライアント側がFAT16もしくはFAT32の場合

そもそも1ファイル2GBの壁があるので扱えないです。

◎質問者からの返答

NTのバージョンは4.0SP5です。

ゲットしようとしているのは、クライアント側です。

ファイル形式は、NTFSです。

ちなみに、AIXから2GB以上のファイルをGETします。


3 ● nana0630
●40ポイント

http://support.microsoft.com/default.aspx?scid=kb;ja;185093

FTP サーバーは、 4 GB を超えるファイルを転送するのに失敗します。

あまり解決にはつながらないですけど、IIS4.0自体のファイルサイズの制限は、4GB、なのではないかと。。。

参考URLが、とても日本人の読んで理解できる日本語では書かれていないので、憶測になります(^o^!


***** 以下、参考までに *****

サービスパックは、最新、なんですょね?

最初のインストールは、サービスパック、いくつでしたか?

そのあと、すべてのサービスパックを順番にあててますか?

NTのサービスパックは、ステキに前のサービスパックに含まれるモノを飛ばしちゃったりしてくれることがあるので、順番に入れないとあとで泣きを見るのと、次の次のバージョンを入れると、前の前には戻れないので、最初から入れ直しになって、あとで笑うしかない状態になったりすることがあります☆


4 ● nana0630
●40ポイント

ゴメンナサイ、5.0って、書いてありましたね(^o^;

6aを入れておいた方が良いと思われます。。。

セキュリティ的(まわりの人に迷惑をかけないため)にも。

◎質問者からの返答

SP6Aを入れたほうがよいのでしょうか。

それをかぶせたとき、サーバーにのっかって

いる。アプリケーションに問題がおきると

非常にまずいので、アップできたい状態になって

います。

関連質問


●質問をもっと探す●



0.人力検索はてなトップ
8.このページを友達に紹介
9.このページの先頭へ
対応機種一覧
お問い合わせ
ヘルプ/お知らせ
ログイン
無料ユーザー登録
はてなトップ